summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZdenek Kabelac <zkabelac@redhat.com>2016-12-12 11:22:10 +0100
committerZdenek Kabelac <zkabelac@redhat.com>2016-12-12 11:22:10 +0100
commit8c9c6ab66060cfc3383297a6baed229f9f341d4a (patch)
treeb9e69db3a5ad46b9acf62701c4ac822ceaae4785
parent48d33e5fb671af16f84d74afab9f86d47ca112fc (diff)
downloadlvm2-8c9c6ab66060cfc3383297a6baed229f9f341d4a.tar.gz
tests: no left devices check for skipped test
-rw-r--r--test/lib/aux.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 4749f817c..a1958835f 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -520,7 +520,10 @@ teardown() {
if test -f TESTNAME ; then
- TEST_LEAKED_DEVICES=$(dmsetup table | grep "$PREFIX" | grep -v "${PREFIX}pv") || true
+ if test ! -f SKIP_THIS_TEST ; then
+ # Evaluate left devices only for non-skipped tests
+ TEST_LEAKED_DEVICES=$(dmsetup table | grep "$PREFIX" | grep -v "${PREFIX}pv") || true
+ fi
kill_tagged_processes